aboutsummaryrefslogtreecommitdiffstats
path: root/target/linux/mvebu/cortexa53
diff options
context:
space:
mode:
authorRosen Penev <rosenp@gmail.com>2022-08-20 14:02:58 -0700
committerHauke Mehrtens <hauke@hauke-m.de>2023-02-03 11:34:20 +0100
commitcb6df29cbd45f11edc52e081c6a30af2dd69aad5 (patch)
treef5770b4292e341ffb43bd3bf57ca4abf8251dea7 /target/linux/mvebu/cortexa53
parent3b80b8e560a0d1414c2ed9f2a2e0e1cc3e0e0e87 (diff)
downloadupstream-cb6df29cbd45f11edc52e081c6a30af2dd69aad5.tar.gz
upstream-cb6df29cbd45f11edc52e081c6a30af2dd69aad5.tar.bz2
upstream-cb6df29cbd45f11edc52e081c6a30af2dd69aad5.zip
mvebu/uDPU: remove $? usage
shellcheck warns against it with SC2086. It also hides a bug that shellcheck marks with SC2015. Fixed those with explicit if/else. Signed-off-by: Rosen Penev <rosenp@gmail.com>
Diffstat (limited to 'target/linux/mvebu/cortexa53')
-rw-r--r--target/linux/mvebu/cortexa53/base-files/lib/upgrade/uDPU.sh30
1 files changed, 18 insertions, 12 deletions
diff --git a/target/linux/mvebu/cortexa53/base-files/lib/upgrade/uDPU.sh b/target/linux/mvebu/cortexa53/base-files/lib/upgrade/uDPU.sh
index 437222e08a..92102e8d14 100644
--- a/target/linux/mvebu/cortexa53/base-files/lib/upgrade/uDPU.sh
+++ b/target/linux/mvebu/cortexa53/base-files/lib/upgrade/uDPU.sh
@@ -42,8 +42,11 @@ udpu_do_part_check() {
# Format the /misc part right away as we will need it for the firmware
printf "Formating /misc partition, this make take a while..\n"
udpu_part_prep ${emmc_dev}p4
- mkfs.f2fs -q -l misc ${emmc_dev}p4
- [ $? -eq 0 ] && printf "/misc partition formated successfully\n" || printf "/misc partition formatting failed\n"
+ if mkfs.f2fs -q -l misc ${emmc_dev}p4; then
+ printf "/misc partition formated successfully\n"
+ else
+ printf "/misc partition formatting failed\n"
+ fi
udpu_do_initial_setup
else
@@ -54,19 +57,17 @@ udpu_do_part_check() {
udpu_do_misc_prep() {
if ! grep -woq /misc /proc/mounts; then
mkdir -p /misc
- mount ${emmc_dev}p4 /misc
# If the mount fails, try to reformat partition
# Leaving possiblity for multiple iterations
- if [ $? -ne 0 ]; then
+ if ! mount ${emmc_dev}p4 /misc; then
printf "Error while mounting /misc, trying to reformat..\n"
format_count=0
while [ "$format_count" -lt "1" ]; do
udpu_part_prep ${emmc_dev}p4
mkfs.f2fs -q -l misc ${emmc_dev}p4
- mount ${emmc_dev}p4 /misc
- if [ $? -ne 0 ]; then
+ if ! mount ${emmc_dev}p4 /misc; then
umount -l /misc
printf "Failed while mounting /misc\n"
format_count=$((format_count +1))
@@ -91,8 +92,7 @@ udpu_do_initial_setup() {
# Prepare /root partition
printf "Formating /root partition, this may take a while..\n"
udpu_part_prep ${emmc_dev}p3
- mkfs.f2fs -q -l rootfs ${emmc_dev}p3
- [ $? -eq 0 ] && printf "/root partition reformated\n"
+ mkfs.f2fs -q -l rootfs ${emmc_dev}p3 && printf "/root partition reformated\n"
}
udpu_do_regular_upgrade() {
@@ -122,13 +122,19 @@ platform_do_upgrade_uDPU() {
udpu_do_regular_upgrade
printf "Updating /boot partition\n"
- tar xzf /misc/firmware/boot.tgz -C /tmp/boot
- [ $? -eq 0 ] && printf "/boot partition updated successfully\n" || printf "/boot partition update failed\n"
+ if tar xzf /misc/firmware/boot.tgz -C /tmp/boot; then
+ printf "/boot partition updated successfully\n"
+ else
+ printf "/boot partition update failed\n"
+ fi
sync
printf "Updating /root partition\n"
- tar xzf /misc/firmware/rootfs.tgz -C /tmp/rootpart
- [ $? -eq 0 ] && printf "/root partition updated successfully\n" || printf "/root partition update failed\n"
+ if tar xzf /misc/firmware/rootfs.tgz -C /tmp/rootpart; then
+ printf "/root partition updated successfully\n"
+ else
+ printf "/root partition update failed\n"
+ fi
sync
# Saving configuration files over sysupgrade